Subject: Re: bug#77468: 30.1.50; package-quickstart file is not relocatable

From: Stefan Monnier <[email-masked]>
Date: Wed, 02 Apr 2025 15:48:12 -0400

> I think we should make package-quickstart use file names which are
> relative to the location of the package-quickstart file itself.

It would probably slow down startup a little bit since
`package-quickstart.el` (PQ) would need to `expand-file-name` every time
it binds `load-file-name`, but yes I think it would be a good change.

There is still the problem that the relative file names may themselves
break when your `package-directory-list` has directories that are
outside of the home directory.

Actually, now that I think about it, the change you suggest would break
one of my use cases (where my packages are always at the same place,
outside of $HOME, but $HOME does move).

Hmm...

        Stefan